Create Refund Session
curl --request POST \
--url https://api.example.com/{version}/sessions/refund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"original_payment_intent_id": 123,
"amount": 1.01,
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
'import requests
url = "https://api.example.com/{version}/sessions/refund"
payload = {
"original_payment_intent_id": 123,
"amount": 1.01,
"expires_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
original_payment_intent_id: 123,
amount: 1.01,
expires_at: '2023-11-07T05:31:56Z',
reason: '<string>'
})
};
fetch('https://api.example.com/{version}/sessions/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/sessions/refund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'original_payment_intent_id' => 123,
'amount' => 1.01,
'expires_at' => '2023-11-07T05:31:56Z',
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"original_payment_intent_id": 123,
"amount": 1.01,
"status": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sessions
Create Refund Session
POST
/
{version}
/
sessions
/
refund
Create Refund Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
Response
Successful Response
RefundSessionResponse
Last modified on June 23, 2026
Was this page helpful?
